%define contentdir /var/www/html
%define pyver 2.2
Summary: An embedded Python interpreter for the Apache Web server.
Name: mod_python
Version: 2.7.6
Release: 2python2.2
Source: http://www.modpython.org/dist/%{name}-%{version}.tgz
Patch: mod_python-2.7.3-paths.patch
URL: http://www.modpython.org/
License: GPL
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: webserver, python = %{pyver}
BuildPrereq: apache-devel, python = %{pyver}, python-devel = %{pyver}
Packager: Mirko Zeibig <mirko@zeibig.net>

%description
Mod_python is a module that embeds the Python language interpreter within
the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep
%setup -q 
%patch -p1 -b .paths

%build
%configure --with-apxs=%{_sbindir}/apxs
make OPT="`%{_sbindir}/apxs -q CFLAGS` -fPIC"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
make install ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{contentdir}/manual/mod/%{name}
cp -a doc-html/* $RPM_BUILD_ROOT%{contentdir}/manual/mod/%{name}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS CREDITS COPYRIGHT
%{contentdir}/manual/mod/%{name}
%{_libdir}/apache/mod_python.so
%{_libdir}/python%{pyver}/site-packages/mod_python

%changelog
* Fri Dec 21 2001 Mirko Zeibig <mirko@zeibig.net>
- use Python2.2 from Rawhide

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.6

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.5
- add URL
- move docs so that they live under %{contentdir}

* Thu May 31 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.3

* Tue Jan 16 2001 Cristian Gafton <gafton@redhat.com>
- fix module compilation paths
- build first package for RHN
